1. Credit Card
E-Pay
  • Default module
    • Inital
      • Payment Types
    • Credit Card
      • Pay with card number
        POST
      • Pay with card token
        POST
      • Payment Status
        POST
      • Payment Refund
        POST
      • Payment Complete
        POST
      • Payment Void
        POST
    • Card Storage
      • Saved Card List
      • Saved Card Get
      • Saved Card Create
      • Saved Card Delete
    • Queries
      • Credit Card Bin Query / Installment
      • Credit Card Bin Query / Installments
    • ParolaparaPay
      • Create Payment (Send OTP Message)
      • Otp Verify
      • Capture
      • Cancel
      • Refund
      • Status
    • Schemas
      • Requests
        • Order Request
        • Order Item Request
        • Address
        • Customer
        • Payment Request
      • Responses
        • Installment
        • Stored Card
        • Payment Status
        • Paymentstate
      • Enums
        • Card types
  • UcuzYolu
    • Parolapay
      • Cancel
      • Capture
      • Health Check
      • Initiate
      • OTP verify
      • Payment Status
      • Refund
      • ResendOTp
      • Status
  • UcuzYolu
    • Parolapay
      • Cancel
      • Capture
      • Health Check
      • Initiate
      • OTP verify
      • Payment Status
      • Refund
      • ResendOTp
      • Status
  1. Credit Card

Payment Status

Developing
POST
/card/status

Request

Authorization
Send your HTTP requests with an
Authorization
header that contains the word Basic followed by a space and a base64-encoded string username:password
Example:
Authorization: Basic *****************
Body Params application/json

Example
{
   "payment_reference": "DZCDF8MIKM5"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://pay.tripingram.local/card/status' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{
   "payment_reference": "DZCDF8MIKM5"
}'

Responses

🟢200OK
application/json
Bodyapplication/json

Example
{
    "data": {
        "success": true,
        "message": "An order has been taken place for this invoice id: DZCDF8MIKM13",
        "code": "100",
        "order_reference": "DZCDF8MIKM13",
        "total": 120,
        "status": "success",
        "auth_type": "auth",
        "captured": true,
        "charge_type": "3d",
        "transaction_id": "1n5DI-9Ypc-TC10-18309-290923"
    },
    "success": true,
    "code": 0,
    "message": ""
}
🟠422Parameter Error
Modified at 2024-01-30 03:12:17
Previous
Pay with card token
Next
Payment Refund
Built with